#include <QHBoxLayout>
#include "dialogredactortrainees.h"

DialogRedactorTrainees::DialogRedactorTrainees(ConnectorToServer* connectorToServer,
                                               bool adminMode, QWidget *parent) :
    QDialog(parent,
              Qt::WindowSystemMenuHint
            | Qt::WindowMaximizeButtonHint
            | Qt::WindowMinimizeButtonHint
            | Qt::WindowCloseButtonHint),
    editorTraineesGroups(nullptr)
{
    editorTraineesGroups = new EditorTrainees(connectorToServer, adminMode, this);
    connect(connectorToServer, &ConnectorToServer::signal_UpdateDB, editorTraineesGroups, &EditorTrainees::slot_NeedUpdateUI);
    editorTraineesGroups->activate();

    QHBoxLayout *layout = new QHBoxLayout(this);
    layout->addWidget(editorTraineesGroups);
    this->setWindowTitle(tr("Editor of trainees"));
    this->setMinimumSize(1400, 700);
    //this->setWindowState(Qt::WindowMaximized);
    this->setModal(true);
}

DialogRedactorTrainees::~DialogRedactorTrainees()
{
    delete editorTraineesGroups;
}

void DialogRedactorTrainees::closeEvent(QCloseEvent *event)
{
    editorTraineesGroups->close();
}
